#!/bin/sh
usage() {
cat <<EOF
Usage: chmenu [-x] [-w] [-d|-p] menu_name old_value new_value
Desc:  Change a menu's default directory or program.

Options: -w Interpret wildcard '%' when matching menu name.
	 -d Change default directory
	 -p Change program where value is "program,vol"
	 -x Debug, don't do, only output sql command

Examples: chmenu -d %MAIN AIRPEX TEST
          chmenu -w % OXCYIQ,OXLD CBCYIQ,BILDH
EOF
}

sql="sql"

case "$1" in
-x) sql="cat"; shift;;
esac

menulike='='

case "$1" in
-w) menulike="is like"; shift;;
esac

test $# -lt 4 && usage && exit 1

opt="$1"
menu="$2"
old="$3"
new="$4"


case "$opt" in
-d)	# Change directory
$sql <<EOF
update "/edx/MENU.FILE" set #5 = '$new'
where #1 $menulike '$menu'
and #5 = '$old' and #5 is not null
;
EOF
;;

-p)	# Change program
newpgm=${new%%,*}
newvol=${new##*,}
oldpgm=${old%%,*}
oldvol=${old##*,}
$sql <<EOF
update "/edx/MENU.FILE" set #3 = '$newpgm', #4 = '$newvol'
where #1 $menulike '$menu'
and #3 = '$oldpgm' and #3 is not null
and #4 = '$oldvol' and #4 is not null
;
EOF
;;
esac
