#!/bin/sh
usage() {
cat <<EOF
Usage: ldmenu [-l] [Menu archive file]
Options: -l use current directory
Ex:    ldmenu %MAIN.bta  (The Screen Directory must exist)
EOF
}

test $# -eq 0 && usage && exit 1

pid=$$
tmpdir=/tmp/menu$pid
trap "btutil 'un $tmpdir/*' 'de $tmpdir/*' 'de $tmpdir' 1>/dev/null 2>&1 " 0 1 2 3 15

D=/edx/
case $1 in
-l) D=""; shift;;
esac

BTASDIR=/tmp btutil "cr menu$pid"
BTASDIR=$tmpdir btutil "lo * $1" >/dev/null 2>&1

# get screen directory and screen name from header file
hdr=`echo 'table "'"$tmpdir/header"'";' | sql -q`
echo "Loading Menu Archive: $hdr"
set - $hdr
scrndir=$1
mscrn=$2

sql -q 2>/dev/null <<EOF
delete from "${D}MENU.FILE" where #1 = '$mscrn';
insert into "${D}MENU.FILE" select * from "$tmpdir/$mscrn"
;
delete from "${D}$scrndir/$mscrn" where #1 >= 0;
insert into "${D}$scrndir/$mscrn" select * from "$tmpdir/$mscrn.s"
;
EOF
echo "Menu $mscrn loaded."
