#!/bin/sh
usage() {
cat <<EOF
Usage:   menuedit menu_name
Example: menuedit %MNAW
EOF
}

test $# -eq 0 && usage && exit 1

TMP=/tmp/menued.$$
MENUNM=$1
(sql -q -u <<EOF
select OPTION,OPTPGM,OPTVOL,
case when OPTDIR != '' then OPTDIR else '-' end,OPTPRIV,OPTDESC
from "/edx/MENU.FILE"
where OPTSCRN = '$MENUNM';
EOF
) >$TMP
vi $TMP

rm $TMP
exit

# We can't save until we figure out a way to parse an option's
# description without squeezing the blanks.  The spacing
# is important when the description is being used as a program
# parameter. Right now, the shell's set command will remove
# multiple blanks and awk will do the same thing.

echo "Save to /edx/MENU.FILE? (y/n) \c" ; read ans
case $ans in
y|Y) 
echo "Saving $MENUNM ... \c"
cat >menu.awk <<EOF
{ fopt=\$1; fpgm=\$2; fvol=\$3; fdir=\$4; fpriv=\$5;
  if ($fdir ~ "-") { fdir=""; }
  printf("$MENUNM,%s,%s,%s,%s,\"",%s\",%s",fopt,fpgm,fvol,fdir,desc,fpriv);
  for (i = 0 ; i < NF
  printf("$MENUNM,%s,%s,%s,%s,\"",%s\",%s",fopt,fpgm,fvol,fdir,desc,fpriv);
}
EOF
#cat <<EOF | sql -u
#delete from "/edx/MENU.FILE" where OPTSCRN = '$MENUNM';
#EOF
awk -f menu.awk <$TMP
echo "done." ;;
esac
